|  | Home · All Classes · Modules

# QStyleOptionButton.ButtonFeatures Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, ButtonFeatures)

### Special Methods

- ButtonFeatures __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, ButtonFeatures f)
- ButtonFeatures __iand__ (self, int f)
- int __int__ (self)
- ButtonFeatures __invert__ (self)
- ButtonFeatures __ior__ (self, int f)
- ButtonFeatures __ixor__ (self, int f)
- bool __ne__ (self, ButtonFeatures f)
- ButtonFeatures __or__ (self, int f)
- ButtonFeatures __xor__ (self, int f)

## Detailed Description

ButtonFeature may be used whenever ButtonFeatures is expected.

## Method Documentation

### ButtonFeatures.__init__ (self)

### ButtonFeatures.__init__ (self, int f)

### ButtonFeatures.__init__ (self, ButtonFeatures)

### ButtonFeatures ButtonFeatures.__and__ (self, int f)

### int ButtonFeatures.__bool__ (self)

### bool ButtonFeatures.__eq__ (self, ButtonFeatures f)

### ButtonFeatures ButtonFeatures.__iand__ (self, int f)

### int ButtonFeatures.__int__ (self)

### ButtonFeatures ButtonFeatures.__invert__ (self)

### ButtonFeatures ButtonFeatures.__ior__ (self, int f)

### ButtonFeatures ButtonFeatures.__ixor__ (self, int f)

### bool ButtonFeatures.__ne__ (self, ButtonFeatures f)

### ButtonFeatures ButtonFeatures.__or__ (self, int f)

### ButtonFeatures ButtonFeatures.__xor__ (self, int f)